For the complete documentation index, see llms.txt. This page is also available as Markdown.

Supports Exchanges

Create a support exchange

post
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Body
expected_retrievednumberOptional

Expected number of supports that should be retrieved on the site

Example: 10
actual_retrievednumberOptional

Actual number of supports that were retrieved on the site

Example: 0
expected_deliverednumberOptional

Expected number of supports that should be delivered on the site

Example: 10
actual_deliverednumberOptional

Actual number of supports that were delivered on the site

Example: 0
observationsstringOptional

Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.

Example: 1 broken
Responses
201

Create successful

application/json
uidstring ยท uuidOptional

uid of the support exchange

expected_retrievednumberOptional

Expected number of supports that should be retrieved on the site

Example: 10
actual_retrievednumberOptional

Actual number of supports that were retrieved on the site

Example: 10
expected_deliverednumberOptional

Expected number of supports that should be delivered on the site

Example: 10
actual_deliverednumberOptional

Actual number of supports that were delivered on the site

Example: 10
observationsstringOptional

Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.

Example: 1 broken
remote_idstringOptional

The ID of the support in your system

post/supports-exchanges/
201

Create successful

Read a support exchange

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
remote_idstringOptional

If you choose to identify an object with its remote_id instead of its uid then

  • replace the uid value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
200

Get successful

application/json
uidstring ยท uuidOptional

uid of the support exchange

expected_retrievednumberOptional

Expected number of supports that should be retrieved on the site

Example: 10
actual_retrievednumberOptional

Actual number of supports that were retrieved on the site

Example: 10
expected_deliverednumberOptional

Expected number of supports that should be delivered on the site

Example: 10
actual_deliverednumberOptional

Actual number of supports that were delivered on the site

Example: 10
observationsstringOptional

Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.

Example: 1 broken
remote_idstringOptional

The ID of the support in your system

get/supports-exchanges/{uid}/
200

Get successful

Partially update a support exchange

patch
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
Body
expected_retrievednumberOptional

Expected number of supports that should be retrieved on the site

Example: 10
actual_retrievednumberOptional

Actual number of supports that were retrieved on the site

Example: 10
expected_deliverednumberOptional

Expected number of supports that should be delivered on the site

Example: 10
actual_deliverednumberOptional

Actual number of supports that were delivered on the site

Example: 10
observationsstringOptional

Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.

Example: 1 broken
Responses
200

Update successful

application/json
uidstring ยท uuidOptional

uid of the support exchange

expected_retrievednumberOptional

Expected number of supports that should be retrieved on the site

Example: 10
actual_retrievednumberOptional

Actual number of supports that were retrieved on the site

Example: 10
expected_deliverednumberOptional

Expected number of supports that should be delivered on the site

Example: 10
actual_deliverednumberOptional

Actual number of supports that were delivered on the site

Example: 10
observationsstringOptional

Free text. Observations about this supports exchange. Can be filled on mobile app, web app or via API.

Example: 1 broken
remote_idstringOptional

The ID of the support in your system

patch/supports-exchanges/{uid}/
200

Update successful

Last updated

Was this helpful?